<packet name="WhoQueryReply">
	<version number="1">
		<u32 name="account_id">
		<u8 name="response">
		<u8 name="num_characters">
		<array name="characters_array" count="var:num_characters">
			<char name="char_name" size="16">
			<u8 name="level">
			<u8 name="admin_level">
			<u8 name="class">
			<u8 name="race">
			<u8 name="flags">
			<u8 name="unknown1" size="3">
			<u32 name="char_account_id">
			<char name="zone" size="80">
		</array>
		<u8 name="display_zone">
	</version>
	<version number="373">
		<u32 name="account_id">
		<u32 name="unknown">
		<u8 name="response">
		<u8 name="num_characters">
		<array name="characters_array" count="var:num_characters">
			<char name="char_name" size="16">
			<u8 name="level">
			<u8 name="admin_level">
			<u8 name="class">
			<u8 name="ts_level">
			<u8 name="ts_class">
			<u8 name="race">
			<u8 name="flags">
			<u8 name="unknown1">
			<u32 name="char_account_id">
			<char name="zone" size="80">
			<u8 name="unknown3" size="28">
		</array>
		<u8 name="display_zone">
	</version>
	<version number="546">
		<u32 name="account_id">
		<u32 name="unknown">
		<u8 name="response">
		<u8 name="num_characters">
		<array name="characters_array" count="var:num_characters">
			<char name="char_name" size="40">
			<u8 name="unknown3">
			<u8 name="level">
			<u8 name="admin_level">
			<u16 name="class">
			<u8 name="unknown4">
			<u8 name="race">
			<u8 name="flags">
			<u32 name="unknown5">
			<char name="zone" size="80">
			<u8 name="unknown6" size="28">
		</array>
		<u8 name="display_zone">
	</version>
	<version number="1188">
		<u32 name="account_id">
		<u32 name="unknown">
		<u8 name="response">
		<u8 name="num_characters">
		<array name="characters_array" count="var:num_characters">
			<char name="char_name" size="40">
			<u8 name="unknown3">
			<u8 name="level">
			<u8 name="admin_level">
			<u16 name="class">
			<u8 name="unknown4">
			<u8 name="race">
			<u8 name="flags">
			<u32 name="unknown5">
			<char name="zone" size="77">
			<char name="guild" size="40">
			<u8 name="unknown7">
		</array>
		<u8 name="display_zone">
	</version>
</packet>